Skip to main content
Infrastructure/Metrics Catalog
PUTInfrastructureSince 1.0SynchronousAuth Required

UpdateMetric

Update the definition and metadata of an existing metric in the catalog.

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • idStringRequired

    Unique identifier of the metric to update

Body Fields

  • metricObjectRequired

    Metric for this resource

    Example: (nested object)

Responses

200 OK

On success, this API returns the following response structure.

  • dataObject

    The data value

    Example: (nested object)

Endpoint

PUT/api/v1/metrics/{id}

/api/v1/metrics/{id}

Operation ID

UpdateMetric

Permalink

Request Example

curl -X PUT '{host}/api/v1/metrics/{id}' -H 'Authorization: Bearer {token}' -H 'Content-Type: application/json' -d '{"metric":"(nested object)"}'

Response Example

200
{
  "data": null
}

Change History

This API has no change history records yet.

View all change history